import { fileURLToPath, URL } from 'node:url'
// import { Cesium } from 'vite-plugin-cesium';
import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import vueDevTools from 'vite-plugin-vue-devtools'
import cesium from 'vite-plugin-cesium'

// https://vite.dev/config/
export default defineConfig({
  plugins: [
    vue(),
    vueDevTools(),
    cesium()
  ],
  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url))
    },
  },
  server: {
    // 配置代理转发
    proxy: {
      '/geoserver': {
        target: 'http://127.0.0.1:8080/geoserver', // GeoServer 地址
        changeOrigin: true, // 开启跨域
        rewrite: (path) => path.replace(/^\/geoserver/, '') // 重写路径
      }
    }
  }
})
